<?php

namespace App\Command\Migration;

use Doctrine\ORM\EntityManagerInterface;
use Doctrine\ORM\Query\ResultSetMapping;
use Doctrine\Persistence\ManagerRegistry;
use Symfony\Component\Console\Attribute\AsCommand;
use Symfony\Component\Console\Command\Command;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;

#[AsCommand(name: 'opengnsys:migrate_hardware_and_hardware_profile', description: 'Migrate hardware and hardware profile data')]
class MigrateHardwareAndHardwareProfileCommand extends Command
{
    public function __construct(
        private readonly EntityManagerInterface $entityManager,
        private readonly ManagerRegistry $doctrine
    )
    {
        parent::__construct();
    }


    protected function execute(InputInterface $input, OutputInterface $output): int
    {
        /** @var EntityManagerInterface $oldDatabaseEntityManager */
        $oldDatabaseEntityManager = $this->doctrine->getManager('og_1');

        /** Obtener los centros de la base de datos antigua **/
        $rsmCenters = new ResultSetMapping();
        $rsmCenters->addScalarResult('idcentro', 'idcentro');
        $rsmCenters->addScalarResult('nombrecentro', 'nombrecentro');
        $rsmCenters->addScalarResult('comentarios', 'comentarios');



        return Command::SUCCESS;
    }
}
